function Create(self)
	self.mapwrapx = SceneMan.SceneWrapsX;
	self.hunttimer = Timer();
   if self.PresetName == "Hunter Bot" then
	self.canhunt = false;
   else
	self.canhunt = true;
   end

end

function Update(self)

   if self.AIMode == Actor.AIMODE_GOLDDIG then
	self.AIMode = Actor.AIMODE_SENTRY;
	self:ClearAIWaypoints();
	self.lastactor = nil;
	self.lastdist = nil;
    if self.canhunt == false then
	self.canhunt = true;
    elseif self.canhunt == true then
	self.canhunt = false;
    end
   end

   if self:IsPlayerControlled() == false and self.canhunt == true then

--	self:GetController():SetState(Controller.BODY_CROUCH,false);

    if self:HasObjectInGroup("Weapons") or self:HasObjectInGroup("Tools") then
     if not(MovableMan:IsActor(self.target)) then
	self:ClearAIWaypoints();
	self.lastactor = nil;
	self.lastdist = nil;
      for actor in MovableMan.Actors do
       if actor.Team ~= self.Team and actor.GetsHitByMOs == true and (actor.ClassName == "AHuman" or actor.ClassName == "ACrab" or actor.ClassName == "Actor") then
	local curdist = SceneMan:ShortestDistance(self.Pos,actor.Pos,self.mapwrapx).Magnitude;
        if self.lastdist == nil or (self.lastdist ~= nil and curdist < self.lastdist) then
	self.lastactor = actor;
	self.lastdist = curdist;
        end
       end
      end
      if self.lastactor ~= nil and (MovableMan:IsActor(self.lastactor)) then
	self.target = self.lastactor;
	self:AddAIMOWaypoint(self.target);
	self.AIMode = Actor.AIMODE_GOTO;
      end
     end

     if self.hunttimer:IsPastSimMS(5000) then
	self.hunttimer:Reset();
	self.target = nil;
     end

    elseif not(self:HasObjectInGroup("Weapons")) or not(self:HasObjectInGroup("Tools")) then
     if not(MovableMan:IsDevice(self.targetgun)) then
	self:ClearAIWaypoints();
	self.lastgun = nil;
	self.lastgundist = nil;
      for item in MovableMan.Items do
       if item.ClassName == "HDFirearm" then
	local guncurdist = SceneMan:ShortestDistance(self.Pos,item.Pos,self.mapwrapx).Magnitude;
        if self.lastgundist == nil or (self.lastgundist ~= nil and guncurdist < self.lastgundist) then
	self.lastgun = item;
	self.lastgundist = guncurdist;
        end
       end
      end
      if self.lastgun ~= nil and (MovableMan:IsDevice(self.lastgun)) then
	self.targetgun = self.lastgun;
	self:AddAIMOWaypoint(self.targetgun);
	self.AIMode = Actor.AIMODE_GOTO;
      end
     end

     if self.hunttimer:IsPastSimMS(5000) then
	self.hunttimer:Reset();
	self.targetgun = nil;
     end
    end --

   end

end